package com.style24.admin.support.env;

/**
 * 변경될 소지가 있는 변수 값을 정의
 *
 * @author gagamel
 * @since 2020. 10. 5
 */
public class TsaConstants {

	public static final String EXCEL_FOOTER_TITLE = "Copyright(c) 2020 STYLE24, All rights reserved.";

	// 공지유형
	public enum NoticeType {
		SITE("G047_10"),
		INNER("G047_20");

		private String value;

		private NoticeType(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

	// 몰구분
	public enum MallGb {
		SELFMALL("G011_10"),			// 자사몰
		EXTMALL("G011_20");				// 제휴몰몰

		private String value;

		private MallGb(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

	// 출고처분류
	public enum DeliveryClassification {
		WARE_HOUSE("G024_10"),				// 물류창고
		NORMAL_STORE("G024_20"),			// 일반매장
		DIRECT_STORE("G024_21"),			// 직송매장
		SUPPLY_COMPANY("G024_30");			// 입점업체

		private String value;

		private DeliveryClassification(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

	// 주문상세상태
		public enum OrderDetailStat {
			ORDER_RECEIPT("G013_00"),			// 주문접수
			DEPOSIT_WAIT("G013_10"),			// 입금대기
			PAYMENT_WAIT("G013_11"),			// 추가결제대기
			ORDER_WAIT_PRICE("G013_18"),		// 발주대기-가격차이
			ORDER_WAIT_POST("G013_19"),			// 발주대기-우편번호상이
			PAYMENT_COMPLETE("G013_20"),		// 결제완료
			REFUND_CONFIRM_WAIT("G013_25"),		// 교환대기
			GOODS_PREPARE("G013_30"),			// 상품준비중
			DELIVERY_LOC_ASSIGN("G013_35"),		// 출고처 지정
			DELIVERY_PREPARE("G013_40"),		// 배송준비중
			SHIPPING("G013_50"),				// 배송중
			SHIP_COMPLETE("G013_55"),			// 출고완료
			DELIVERY_COMPLETE("G013_60"),		// 배송완료
			PURCHASE_CONFIRM("G013_70"),		// 구매확정
			EXCHANGE_CANCEL("G013_97"),			// 교환취소
			PAYMENT_BEFORE_CANCEL("G013_98"),	// 결제전주문취소
			PAYMENT_AFTER_CANCEL("G013_99");	// 결제후주문취소

			private String value;

			private OrderDetailStat(String value) {
				this.value = value;
			}

			public String value() {
				return value;
			}
		}


	// 정산구분상태
	public enum OrdDtlItemStat {
		
		SALE_PAYMENT_COMPLETE("G720_10"), 			// 판매-결제완료
		SALE_SHIPPING("G720_20"),					// 판매-배송완료
		SALE_RETURN_CANCEL("G720_30"), 				// 환입-취소완료
		SALE_RETURN_SOLDOUT_CANCEL("G720_40"),		// 환입-품절취소
		SALE_RETURN_RETURN_COMPLETE("G720_50"),		// 환입-반품완료
		SALE_RETURN_EXCHANGE_COMPLETE("G720_60");	// 환입-교환완료

		private String value;

		private OrdDtlItemStat(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}
}
